# AnimationContent - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.message.content.media / AnimationContent

# AnimationContent

(common) `data class AnimationContent : MediaContent, CaptionedInput` (source)

### Constructors

(common)

#### <init>

`AnimationContent(media: AnimationFile, includedDocument: DocumentFile?, caption: String?, captionEntities: List<TextPart>)`

### Properties

(common)

#### caption

`val caption: String?`

(common)

#### captionEntities

Not full list of entities. This list WILL NOT contain TextParts with com.github.insanusmokrassar.TelegramBotAPI.types.MessageEntity.textsources.RegularTextSource

`val captionEntities: List<TextPart>`

(common)

#### includedDocument

`val includedDocument: DocumentFile?`

(common)

#### media

`val media: AnimationFile`

### Functions

(common)

#### asInputMedia

`fun asInputMedia(): InputMediaAnimation`

(common)

#### createResend

`fun createResend(chatId: ChatIdentifier, disableNotification: Boolean, replyToMessageId: MessageIdentifier?, replyMarkup: KeyboardMarkup?): Request<ContentMessage<AnimationContent>>`

### Extension Functions

(common)

#### fullEntitiesList

Convert its CaptionedInput.captionEntities to list of com.github.insanusmokrassar.TelegramBotAPI.CommonAbstracts.TextSource with com.github.insanusmokrassar.TelegramBotAPI.types.MessageEntity.textsources.RegularTextSource

`fun CaptionedInput.fullEntitiesList(): FullTextSourcesList`

(common)

#### toHtmlCaptions

`fun CaptionedInput.toHtmlCaptions(): List<String>`

(common)

#### toMarkdownCaptions

`fun CaptionedInput.toMarkdownCaptions(): List<String>`

(common)

#### toMarkdownV2Captions

`fun CaptionedInput.toMarkdownV2Captions(): List<String>`